Subject: Re: [PATCH v2 0/2] Submodules: Add the new config option "ignore"

From: Jens Lehmann <[email-masked]>
Date: Fri, 06 Aug 2010 01:51:28 +0200

Am 06.08.2010 01:27, schrieb Junio C Hamano:
> Jens Lehmann <[email-masked]> writes:
> 
>> Am 28.07.2010 23:35, schrieb Junio C Hamano:
>>> The value of "submodule.<name>.path" does not have to be "<name>".  There
>>> seems to be a bit of confusion here.
>>
>> Thanks for clearing up my confusion, this is v2 of this patch using the
>> path configured for the submodule instead of its name.
> 
> Hmph, I thought that it would make more sense to use <name> so that once
> the user configures ignore in .git/config, it will persist across moving
> of the submodule in the superproject tree.  I wonder what others would
> think.

I think that is just what this patch does, it uses the
"config_name_for_path" string_list to get the submodules <name> for the
path to then look up what is configured for the "ignore" option under
that <name>. So the "ignore" option should survive renames, no? Or did
I manage to confuse myself again?